package ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.data;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 03.10.13
 * Time: 14:17
 */
public class JSONLDEntity extends RDFaEntity {

    @Override
    public String getTagName() {
        return "jsonld";
    }

    @Override
    public String getResourceTag() {
        return "@id";
    }

    @Override
    public String getTypeTag() {
        return "@type";
    }

    public JSONLDEntity(final String type, final String id) {
        super(type, id);
    }
    public JSONLDEntity(final String type, final String id, final EntityLocation location) {
        super(type, id,location);
    }

    private  EntityLocation parentNodeLocation;

    public void setParentNodeLocation(EntityLocation parentNodeLocation) {
        this.parentNodeLocation = parentNodeLocation;
    }


    public EntityLocation getParentNodeLocation() {
        return parentNodeLocation;
    }
}
